{% comment %}
Copyright 2016 Mattia Basaglia

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
{% endcomment %}
{% load mldb %}
{% load static %}

{% character_image_url character "mldb/img/smile/%s.svg" as smile %}
{% character_image_url character "mldb/img/scrunchy/%s.svg" None as scrunchy %}
<div class='annoy_wrapper'>
    <img src='{{ smile }}' alt='{{ character.name }}'/>
    {% if scrunchy %}
        <img src='{{ scrunchy }}' alt='Scrunchy {{ character.name }}'/>
    {% endif %}
</div>
{% if scrunchy %}
<script src="{% static "mldb/annoyed.js" %}"></script>
<script>find_all_annoy("annoy_wrapper");</script>
<style>
.annoy_wrapper img:first-child:hover
{
    opacity: 0;
}
</style>
{% endif %}

{% chart_figure "Character Lines" "line_chart" %}

<p>{{ character.name }} spoke a total of
{{ line_count }} line{{ line_count|pluralize }} in
{{ episodes|length }} episode{{ episodes|length|pluralize }}:</p>
<ul>
{% character_image character "mldb/img/cutie_marks/%s.svg" 32 title="Main character" style="vertical-align: middle" as main_marker %}
{% for episode in episodes %}
    <li>
        {% if character in episode.main_characters %}
            {{ main_marker }}
        {% endif %}
        {% episode_link episode %}
        ({{ episode.n_lines }} line{{ episode.n_lines|pluralize }})
    </li>
{% endfor %}
</ul>
